import {MockMethod} from 'vite-plugin-mock';
import {sendCodeApi} from "../src/interface";


const Mock = require('mockjs')

export default [
    {
        url: sendCodeApi,
        method: 'post',
        response: ({ query }) => {
            return Mock.mock({
                'result':'OK',
                'message':'验证码发送成功'
            })
        },
    },
    {
        url: '/api/post',
        method: 'post',
        timeout: 2000,
        response: {
            code: 0,
            data: {
                name: 'vben',
            },
        },
    },
] as MockMethod[];